Welke Jaybird-headphones zijn geschikt voor de Jaybird-app?

De Jaybird-app is compatibel met alle Jaybird-headphones die sinds 2016 zijn uitgebracht (X3, X4, Freedom, Freedom 2, RUN, Tarah, Tarah Pro, Vista). De app is niet geschikt voor oudere modellen zoals Bluebuds X en X2.

Als je vragen hebt die hier niet kunnen worden beantwoord, kan onze community je misschien helpen.
Mis geen enkele beat

Geef je op voor exclusieve aanbiedingen en updates.

Volg ons

#poweryourpassion